package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaPricePromotionItemAddPromotionSku struct {
	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   采购进价     */
	PurchasePrice *string `json:"purchase_price,omitempty" `

	/*
	   采购进价开始时间     */
	PurchasePriceStartTime *util.LocalTime `json:"purchase_price_start_time,omitempty" `

	/*
	   采购进价结束时间     */
	PurchasePriceEndTime *util.LocalTime `json:"purchase_price_end_time,omitempty" `

	/*
	   促销售价     */
	PromotionPrice *string `json:"promotion_price,omitempty" `

	/*
	   促销售价开始时间     */
	PromotionPriceStartTime *util.LocalTime `json:"promotion_price_start_time,omitempty" `

	/*
	   促销售价结束时间     */
	PromotionPriceEndTime *util.LocalTime `json:"promotion_price_end_time,omitempty" `

	/*
	   时间戳     */
	TimeStamp *int64 `json:"time_stamp,omitempty" `
}

func (s *AlibabaPricePromotionItemAddPromotionSku) SetSkuCode(v string) *AlibabaPricePromotionItemAddPromotionSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaPricePromotionItemAddPromotionSku) SetPurchasePrice(v string) *AlibabaPricePromotionItemAddPromotionSku {
	s.PurchasePrice = &v
	return s
}
func (s *AlibabaPricePromotionItemAddPromotionSku) SetPurchasePriceStartTime(v util.LocalTime) *AlibabaPricePromotionItemAddPromotionSku {
	s.PurchasePriceStartTime = &v
	return s
}
func (s *AlibabaPricePromotionItemAddPromotionSku) SetPurchasePriceEndTime(v util.LocalTime) *AlibabaPricePromotionItemAddPromotionSku {
	s.PurchasePriceEndTime = &v
	return s
}
func (s *AlibabaPricePromotionItemAddPromotionSku) SetPromotionPrice(v string) *AlibabaPricePromotionItemAddPromotionSku {
	s.PromotionPrice = &v
	return s
}
func (s *AlibabaPricePromotionItemAddPromotionSku) SetPromotionPriceStartTime(v util.LocalTime) *AlibabaPricePromotionItemAddPromotionSku {
	s.PromotionPriceStartTime = &v
	return s
}
func (s *AlibabaPricePromotionItemAddPromotionSku) SetPromotionPriceEndTime(v util.LocalTime) *AlibabaPricePromotionItemAddPromotionSku {
	s.PromotionPriceEndTime = &v
	return s
}
func (s *AlibabaPricePromotionItemAddPromotionSku) SetTimeStamp(v int64) *AlibabaPricePromotionItemAddPromotionSku {
	s.TimeStamp = &v
	return s
}
